Bug 91099 - line 84 config.in in /linux-2.4.20-13.9/drivers/net/wan is incorrect
line 84 config.in in /linux-2.4.20-13.9/drivers/net/wan is incorrect
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 22:49 EDT by agis
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 06:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description agis 2003-05-17 22:49:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.2.1) Gecko/20030225

Description of problem:
the line 84 is incorrect see
# Generic HDLC

   tristate '  Generic HDLC layer' CONFIG_HDLC
   if [ "$CONFIG_HDLC" != "n" ]; then
      bool '    Raw HDLC support' CONFIG_HDLC_RAW
      bool '    Raw HDLC Ethernet device support' CONFIG_HDLC_RAW_ETH
      bool '    Cisco HDLC support' CONFIG_HDLC_CISCO
      bool '    Frame Relay support' CONFIG_HDLC_FR
      bool '    Synchronous Point-to-Point Protocol (PPP) support' CONFIG_HDLC_PPP
      if [ "$CONFIG_LAPB" = "m" -a "$CONFIG_HDLC" = "m" -o "$CONFIG_LAPB" = "y"
]; then
	 bool '    X.25 protocol support' CONFIG_HDLC_X25
      else
	 comment '    X.25/LAPB support is disabled'
      fi
      if [ "$CONFIG_PCI" != "n" ]; then
	dep_tristate '    Cyclades-PC300 support (RS-232/V.35, X.21, T1/E1 boards)'
CONFIG_PC300 $CONFIG_HDLC
	if [ "$CONFIG_PC300" != "n" ]; then
		if ["$CONFIG_PPP" != "n" -a "$CONFIG_PPP_MULTLINK" != "n" -a
"$CONFIG_PPP_SYNCTTY" != "n" -a "$CONFIG_HDLC_PPP" = "y"]; 
		then <===here is the problem 
			bool '      Cyclades-PC300 MLPPP support' CONFIG_PC300_MLPPP
		else
		.......


i resolve this moving the "then" to the correct position: 


# Generic HDLC

   tristate '  Generic HDLC layer' CONFIG_HDLC
   if [ "$CONFIG_HDLC" != "n" ]; then
      bool '    Raw HDLC support' CONFIG_HDLC_RAW
      bool '    Raw HDLC Ethernet device support' CONFIG_HDLC_RAW_ETH
      bool '    Cisco HDLC support' CONFIG_HDLC_CISCO
      bool '    Frame Relay support' CONFIG_HDLC_FR
      bool '    Synchronous Point-to-Point Protocol (PPP) support' CONFIG_HDLC_PPP
      if [ "$CONFIG_LAPB" = "m" -a "$CONFIG_HDLC" = "m" -o "$CONFIG_LAPB" = "y"
]; then
	 bool '    X.25 protocol support' CONFIG_HDLC_X25
      else
	 comment '    X.25/LAPB support is disabled'
      fi
      if [ "$CONFIG_PCI" != "n" ]; then
	dep_tristate '    Cyclades-PC300 support (RS-232/V.35, X.21, T1/E1 boards)'
CONFIG_PC300 $CONFIG_HDLC
	if [ "$CONFIG_PC300" != "n" ]; then
		if ["$CONFIG_PPP" != "n" -a "$CONFIG_PPP_MULTLINK" != "n" -a
"$CONFIG_PPP_SYNCTTY" != "n" -a "$CONFIG_HDLC_PPP" = "y"]; then 
			bool '      Cyclades-PC300 MLPPP support' CONFIG_PC300_MLPPP
		else
			comment '     Cyclades-PC300 MLPPP support is disabled. You have to enable
PPP, PPP_MULTILINK'
			comment '     PPP_SYNCTTY and HDLC_PPP to use this package.'
		fi
	fi
      fi
..............



Version-Release number of selected component (if applicable):
kernel-source-2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1. update the kernel source in up2date
2. open control central kde 
3. kernel config show the  bug in config.in
    

Additional info:
Comment 1 Arjan van de Ven 2003-06-03 06:16:18 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html

Note You need to log in before you can comment on or make changes to this bug.